<?php

namespace Merchant\Merchant\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Merchant\Merchant\Interfaces\MerchantRepositoryInterface;

class MerchantPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Merchant\Merchant\Interfaces\MerchantRepositoryInterface $merchant
     *
     * @return type
     */
    public function __construct(MerchantRepositoryInterface $merchant)
    {
        $this->model = $merchant;
        parent::__construct();
    }

    /**
     * Show merchant's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $merchants = $this->model->all();

        return $this->theme->of('merchant::public.merchant.index', compact('merchants'))->render();
    }

    /**
     * Show merchant.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $merchant = $this->model->findBySlug($slug);

        return $this->theme->of('merchant::public.merchant.show', compact('merchant'))->render();
    }
}
