<?php

namespace Merchant\Merchant\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Merchant extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('merchant.merchant.fillable');
        $this->uploads = config('merchant.merchant.uploadable');
        $this->uploadRootFolder = config('merchant.merchant.upload_root_folder');
        $this->table = config('merchant.merchant.table');
    }
}
